import type { Action, AnyAction, ThunkDispatch } from '@reduxjs/toolkit';
import { type DeepReadonly, type Ref } from 'vue';
export declare const contextKey_original: unique symbol;
export declare const contextKey_adapted: unique symbol;
/** select a state from store in nearest `Provider` */
export declare function useSelector<T, RootState = unknown>(sel: (state: RootState) => T): import("vue").ComputedRef<T>;
/** get the store from nearest `Provider` */
export declare function useStore<RootState = unknown, A extends Action<any> = AnyAction>(): Readonly<Ref<DeepReadonly<RootState>>> & {
    dispatch: ThunkDispatch<RootState, any, A>;
};
/** get the dispatch method from nearest `Provider` */
export declare function useDispatch<RootState = unknown, A extends Action<any> = AnyAction>(): ThunkDispatch<RootState, any, A>;
