import type { Action, AnyAction, EnhancedStore, Middleware, StoreEnhancer, ThunkDispatch } from '@reduxjs/toolkit';
import type { DeepReadonly, Plugin, Ref } from 'vue';
/** Creates readonly ref from a Redux store
 * @link https://svelte.dev/docs#component-format-script-4-prefix-stores-with-$-to-access-their-values-store-contract
 */
export declare function createPlugin<S = any, A extends Action<any> = AnyAction, M extends ReadonlyArray<Middleware<{}, S>> = ReadonlyArray<Middleware<{}, S>>, E extends ReadonlyArray<StoreEnhancer> = ReadonlyArray<StoreEnhancer>>(reduxStore: EnhancedStore<S, A, M, E>): Plugin;
export declare function fromRedux<S = any, A extends Action<any> = AnyAction, M extends ReadonlyArray<Middleware<{}, S>> = ReadonlyArray<Middleware<{}, S>>, E extends ReadonlyArray<StoreEnhancer> = ReadonlyArray<StoreEnhancer>>(reduxStore: EnhancedStore<S, A, M, E>): Readonly<Ref<DeepReadonly<S>>> & {
    dispatch: ThunkDispatch<S, any, A>;
};
